From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/skopeo/
Date: Thu, 16 Apr 2020 21:13:29 +0000 (UTC) [thread overview]
Message-ID: <1587071591.969cecf8f1fdf7b63849fc9cd7ce64c891467dfd.williamh@gentoo> (raw)
commit: 969cecf8f1fdf7b63849fc9cd7ce64c891467dfd
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 16 21:12:37 2020 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Apr 16 21:13:11 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=969cecf8
app-emulation/skopeo: 0.2.0 bump
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
app-emulation/skopeo/Manifest | 1 +
app-emulation/skopeo/skopeo-0.2.0.ebuild | 50 ++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/app-emulation/skopeo/Manifest b/app-emulation/skopeo/Manifest
index fe0c8471412..23e3f0447f8 100644
--- a/app-emulation/skopeo/Manifest
+++ b/app-emulation/skopeo/Manifest
@@ -2,3 +2,4 @@ DIST containers-storage-1.14.0-vfs-user-xattrs.patch 14835 BLAKE2B 99c35933dcb25
DIST skopeo-0.1.39.tar.gz 3850036 BLAKE2B e635be475f22cc25ab98e446424f4a6b0babe34f827a73f9c9c1533db782490e9af94e759ac78fbeeec1c0e1fa42eef9d09fb4e7ff1f4df654f65fe4c1a9f7b0 SHA512 c4aadc40f9d637c628cd96c204b3e9bc3a928c145521bed2e5046508fc936ff99442dda8b4a4cdd85c4d04e64a9ccee5ea8d563c6ebf4e6020d50d96b921716c
DIST skopeo-0.1.40.tar.gz 3907911 BLAKE2B 0a9ebcc9662036b1595149f0d19a46c0565b115d37b22c6410041eef3e6755b20561439596f1033dd6ce2c78a4948e358b2518003729873d5ab8ce9a7bec082c SHA512 161edb8afa961e48e314cf70a4fcebd971a45a50fc11eab6ec751ba4eb05a8be011d16b83c4ed1fa9d6336846da5f518da006d4476ee4e29a160c629820773d3
DIST skopeo-0.1.41.tar.gz 4692408 BLAKE2B d5e99be0cb478065f1478beda355abc11c8f13ad8446251048502da1b1af38d407ec46d284e59d2018af5d1ca6a953ad6156a306e9bc1acbdb22b447fe17a59f SHA512 924af178eb9621395cfffcf51aa072886dc8c20746bce1599a503df8c54794e34184a1fc6fd9582b889c7c8efecf8cf192797bc8e208b90c71cca31bb970d8e9
+DIST skopeo-0.2.0.tar.gz 4295805 BLAKE2B 4ad13ff49bec56f3766e8d94f80fe8e22edb011b8862fb1249882e5695fa9260a6e2ce3d8345411ee7717cb92d4c1516268678f0884a62b02bfc8c9a554367ee SHA512 89d416110561dbe967860f752db607634a37b12adc376736de48264ec064abfed6b3db9ae195ffb3e9616dd6d65528660a23f2a5145d4674ed47cf443f17295a
diff --git a/app-emulation/skopeo/skopeo-0.2.0.ebuild b/app-emulation/skopeo/skopeo-0.2.0.ebuild
new file mode 100644
index 00000000000..41797bfbd1b
--- /dev/null
+++ b/app-emulation/skopeo/skopeo-0.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+COMMIT=1119299c4b27e16680744e8bcf3b5362344a40d7
+inherit go-module bash-completion-r1
+
+DESCRIPTION="Command line utility foroperations on container images and image repositories"
+HOMEPAGE="https://github.com/containers/skopeo"
+SRC_URI="https://github.com/containers/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+COMMON_DEPEND=">=app-crypt/gpgme-1.5.5:=
+ >=dev-libs/libassuan-2.4.3:=
+ dev-libs/libgpg-error:=
+ >=sys-fs/btrfs-progs-4.0.1
+ >=sys-fs/lvm2-2.02.145:="
+DEPEND="${COMMON_DEPEND}
+ dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}"
+
+RESTRICT="test"
+
+src_compile() {
+ local BUILDTAGS="containers_image_ostree_stub"
+ set -- go build -mod=vendor -ldflags "-X main.gitCommit=${COMMIT}" \
+ -gcflags "${GOGCFLAGS}" -tags "${BUILDTAGS}" \
+ -o skopeo ./cmd/skopeo
+ echo "$@"
+ "$@" || die
+ cd docs || die
+ for f in *.1.md; do
+ go-md2man -in ${f} -out ${f%%.md} || die
+ done
+}
+
+src_install() {
+ dobin skopeo
+ doman docs/*.1
+ dobashcomp completions/bash/skopeo
+ insinto /etc/containers
+ newins default-policy.json policy.json
+ insinto /etc/containers/registries.d
+ doins default.yaml
+ keepdir /var/lib/atomic/sigstore
+ einstalldocs
+}
next reply other threads:[~2020-04-16 21:13 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-16 21:13 William Hubbs [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-11-17 2:16 [gentoo-commits] repo/gentoo:master commit in: app-emulation/skopeo/ Sam James
2021-11-14 8:38 Sam James
2021-11-04 22:04 Zac Medico
2021-07-05 22:08 Zac Medico
2021-06-14 17:43 Zac Medico
2020-08-29 23:07 Zac Medico
2020-08-29 22:45 Sam James
2020-06-20 1:23 Aaron Bauman
2020-06-19 5:17 Zac Medico
2020-05-02 14:13 William Hubbs
2020-05-02 14:08 William Hubbs
2020-02-09 1:59 Zac Medico
2019-11-26 4:32 Zac Medico
2019-11-15 21:14 Zac Medico
2019-11-15 21:07 Zac Medico
2019-11-15 21:03 Zac Medico
2019-09-06 23:53 Zac Medico
2019-09-06 23:28 Zac Medico
2019-08-07 2:09 Zac Medico
2019-08-02 19:19 Zac Medico
2019-08-02 19:19 Zac Medico
2019-07-21 5:02 Zac Medico
2019-05-28 23:28 Zac Medico
2019-03-13 16:24 Zac Medico
2019-01-10 14:30 Manuel Rüger
2018-11-27 20:03 Zac Medico
2018-08-17 3:03 Zac Medico
2018-05-22 0:27 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1587071591.969cecf8f1fdf7b63849fc9cd7ce64c891467dfd.williamh@gentoo \
--to=williamh@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox